#ifndef DATABASE_H
#define DATABASE_H

#include <qmainwindow.h>
#include <qmap.h>
#include <qaction.h>
#include <qsinterpreter.h>
#include "connect.h"

class QDataTable;
class QLabel;
class QListView;
class QListViewItem;
class QPushButton;
class QTextEdit;

class DataBase : public QMainWindow
{
    Q_OBJECT

public:
    DataBase( QWidget* parent =  0, const char* name = 0,
	WFlags fl = WType_TopLevel );
    ~DataBase();

protected:

protected slots:
    void dbConnect();
    void execQuery();
    void showTable( QListViewItem * item );
    void exit();
    void openIDE();
    void scriptChooser();
    void runScript();

private:
    void setupActions();
    void initQSA();

    QSInterpreter interpreter;
    QListView *listView;
    QDataTable *sqlTable;
    QTextEdit *queryTextEdit;
    QLabel *label;
    QPushButton *submitButton;

    QMap<QAction *, QString> scripts;
    ConnectDialog *conDiag;
};

#endif // DATABASE_H
