#ifndef SCRIPTBUTTON_H
#define SCRIPTBUTTON_H

#include <qpushbutton.h>

class QPopupMenu;
class QSInterpreter;
class Editor;

class ScriptButton : public QPushButton {
    Q_OBJECT
    Q_PROPERTY( QString scriptCode READ scriptCode WRITE setScriptCode )

public:
    // standard QPushButton constructors
    ScriptButton( QSInterpreter *i, QWidget *parent, const char* name=0 );
    ScriptButton( QSInterpreter *i, const QString &text,
		  QWidget *parent, const char* name=0 );

    void setScriptCode( const QString &c );
    QString scriptCode() const { return code; }

public slots:
    void executeScript();

protected:
    void contextMenuEvent( QContextMenuEvent *e );

private slots:
    void editCode();
    void renameButton();

private:
    void init( QSInterpreter *i );

    QString code;
    QPopupMenu *popup;
    Editor *edit;
    QSInterpreter *ip;
};

#endif
