#ifndef USERMANAGEMENTINTERFACE
#define USERMANAGEMENTINTERFACE

#include <qobject.h>
#include <qstring.h>

class UserManagementInterface : public QObject
{
    Q_OBJECT
    
public:
    UserManagementInterface( QObject *parent, const char *name ) : QObject( parent, name ) {}
    
    void emitLoggedIn() { emit loggedIn(); }
    void emitLoggedOff() { emit loggedOff(); }
    void emitUserAdded( const QString &user, const QString &passwd, const QString &email ) 
    { emit userAdded( user, passwd, email ); }
    
signals:
    void loggedIn();
    void loggedOff();
    void userAdded( const QString &user, const QString &passwd, const QString &email );
        
};

#endif
