/****************************************************************************
** $Id: quickqtdom.h  beta2   edited Dec 10 13:07 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QUICKQTDOM_H
#define QUICKQTDOM_H

#include "quickdispatchobject.h"
#include <qdom.h>

class DomNode : public QuickPtrDispatchObject
{
    Q_OBJECT
    Q_PROPERTY( QString nodeName READ nodeName )
    /*
    Q_PROPERTY( QDomNode* parentNode READ parentNode )
    Q_PROPERTY( QDomNode* firstChild READ firstChild )
    Q_PROPERTY( QDomNode* lastChild READ lastChild )
    Q_PROPERTY( QDomNode* previousSibling READ previousSibling )
    Q_PROPERTY( QDomNode* nextSibling READ nextSibling )
    */
    Q_PROPERTY( bool isNull READ isNull )

public:
    DomNode( QDomNode *n );
    DomNode( QDomNode *n, const char *name );

    QString nodeName() const;

    bool isNull() const;

public slots:
    QDomNode *parentNode() const;
    QDomNode *firstChild() const;
    QDomNode *lastChild() const;
    QDomNode *previousSibling() const;
    QDomNode *nextSibling() const;

    QDomElement *toElement() const;
    QDomText *toText() const;
    QDomDocument *toDocument() const;

private:
    QDomNode *node() const;

};

class DomElement : public DomNode
{
    Q_OBJECT
    Q_PROPERTY( QString tagName READ tagName )

public:
    DomElement( QDomElement *e );

    QString tagName() const;

public slots:
    bool hasAttribute( const QString &attribute ) const;
    QString attribute( const QString &name ) const;
    QString attribute( const QString &name, const QString &defaultValue ) const;

private:
    QDomElement *element() const;

};

class DomText : public DomNode
{
    Q_OBJECT
    Q_PROPERTY( QString data READ data )

public:
    DomText( QDomText *t );

    QString data() const;

private:
    QDomText *text() const;

};

class DomDocument : public DomNode
{
    Q_OBJECT

public:
    DomDocument( const QString &contents );
    DomDocument( QDomDocument *d );

private:
    QDomDocument *document() const;

};

#endif
