/****************************************************************************
** $Id: quickqtnetwork.cpp  beta2   edited Dec 10 13:07 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#include "quickqtnetwork.h"
#include <qsocket.h>

QuickSocket::QuickSocket( QSocket *s )
    : socket( s )
{
}

void QuickSocket::connectToHost( const QString &host, int port )
{
    socket->connectToHost( host, (Q_UINT16)port );
}

QString QuickSocket::readLine()
{
    QByteArray ba( socket->bytesAvailable() );
    socket->readLine( ba.data(), socket->bytesAvailable() );
    QString s( ba.data() );
    if ( s.isEmpty() )
	return "";
    return s;
}

QString QuickSocket::readBlock( int bytes )
{
    QByteArray ba( bytes );
    socket->readBlock( ba.data(), bytes );
    QString s( ba.data() );
    if ( s.isEmpty() )
	return "";
    return s;
}

void QuickSocket::writeBlock( const QString &data )
{
    socket->writeBlock( data.latin1(), data.length() );
}

int QuickSocket::bytesAvailable() const
{
    return socket->bytesAvailable();
}

int QuickSocket::waitForMore( int msecs ) const
{
    return socket->waitForMore( msecs );
}

int QuickSocket::bytesToWrite() const
{
    return socket->bytesToWrite();
}



QuickNetwork::QuickNetwork()
{
}

QSocket *QuickNetwork::createSocket()
{
    return new QSocket();
}

