/****************************************************************************
** $Id: quicksystem.cpp  beta2   edited Dec 12 18:24 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#include "quicksystem.h"

#if defined(Q_OS_WIN32)
#include <qt_windows.h>
#endif
#include <stdio.h>
#include <stdlib.h>

System::System()
{
}

void System::println( const QString &out )
{
    printf( "%s\n", out.latin1() );
}

void System::print( const QString &out )
{
    printf( "%s", out.latin1() );
}

QString System::getenv( const QString &envvar )
{
    return QString( ::getenv( envvar.latin1() ) );
}

void System::setenv( const QString &envvar, const QString &value )
{
#if defined(Q_OS_HPUX) || defined(Q_OS_IRIX) || defined(Q_OS_SOLARIS)
    putenv( (char*)( envvar + "=" + value ).latin1() ); // char* on Solaris
#elif !defined(Q_OS_WIN32)
    ::setenv( envvar.latin1(), value.latin1(), 1 );
#else
    SetEnvironmentVariable( (TCHAR*)envvar.latin1(), (TCHAR*)value.latin1() );
#endif
}
