/****************************************************************************
** $Id: quickbreakpointsettingsimpl.cpp  beta2   edited Dec 10 13:07 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#include "quickbreakpointsettingsimpl.h"
#include <designerinterface.h>
#include <qlistview.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>

class BreakPointItem : public QListViewItem
{
public:
    BreakPointItem( QListViewItem *parent, const QString &text  )
	: QListViewItem( parent, text ) {}
};

BreakPointSettings::BreakPointSettings( const QMap<QString, QValueList<uint> > &bps, DesignerInterface *i,
					QWidget* parent,  const char* name, bool modal, WFlags fl )
    : BreakPointSettingsBase( parent, name, modal, fl ), dIface( i )
{
    dIface->addRef();
    for ( QMap<QString, QValueList<uint> >::ConstIterator it = bps.begin(); it != bps.end(); ++it ) {
	QListViewItem *parent = new QListViewItem( listBreakPoints, it.key() );
	QValueList<uint> bp = *it;
	QListViewItem *last = 0;
	for ( QValueList<uint>::Iterator bit = bp.begin(); bit != bp.end(); ++bit )
	    last = new QListViewItem( parent, last, "Line: " + QString::number( *bit ) );
	parent->setOpen( TRUE );
    }
    buttonClear->setEnabled( !!listBreakPoints->childCount() );
}

BreakPointSettings::~BreakPointSettings()
{
    dIface->release();
}

void BreakPointSettings::currentBreakPointChanged( QListViewItem *i )
{
    if ( !i || !i->parent() ) {
	clear();
	groupProperties->setEnabled( FALSE );
	return;
    }
    groupProperties->setEnabled( TRUE );

}

void BreakPointSettings::clear()
{
    // #### todo
}

void BreakPointSettings::clearBreakpoints()
{
    dIface->currentProject()->clearAllBreakpoints();
    QListViewItem *i = listBreakPoints->firstChild();
    while ( i ) {
	while ( i->firstChild() )
	    delete i->firstChild();
	i = i->nextSibling();
    }
}

void BreakPointSettings::okClicked()
{
}
