/****************************************************************************
** $Id: quickclassbrowser.h  beta2   edited Dec 10 13:07 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QUICKCLASSBROWSER_H
#define QUICKCLASSBROWSER_H

#include <qlistview.h>

class QuickClassBrowserItem : public QListViewItem
{
public:
    enum Type { Class = 2, Form, Global, Function, Variable };

    QuickClassBrowserItem( QListView *parent, QListViewItem *after, Type t );
    QuickClassBrowserItem( QListViewItem *parent, QListViewItem *after, Type t );
    ~QuickClassBrowserItem();

    void paintCell( QPainter *p, const QColorGroup &cg, int column, int width, int align );
    void updateBackColor();

    void paintBranches( QPainter * p, const QColorGroup & cg,
			int w, int y, int h );

    int rtti() const { return type; };

private:
    QColor backgroundColor();
    QColor backColor;
    Type type;

};

class QuickClassBrowser : public QListView
{
    Q_OBJECT

public:
    QuickClassBrowser( QWidget *parent, const char *name = 0 );

    void update( const QString &code );

private slots:
    void showContextMenu( QListViewItem *i, const QPoint &pos, int col );

};

#endif
