/****************************************************************************
** $Id: quickide.h  beta2   edited Dec 10 13:07 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QUICKIDE_H
#define QUICKIDE_H

#include <private/qcom_p.h>

class QuickProgramInterfaceImpl;
class QuickProjectSettingsInterfaceImpl;
class QuickEditorInterfaceImpl;
class QuickPreferenceInterfaceImpl;
class QuickLanguageInterfaceImpl;
class QuickInterpreterInterfaceImpl;
class QuickDebuggerFrontend;
class QuickClassBrowserInterfaceImpl;

class QuickIdeInterfaceImpl : public QComponentInformationInterface
{
public:
    QuickIdeInterfaceImpl();
    virtual ~QuickIdeInterfaceImpl();

    QRESULT queryInterface( const QUuid&, QUnknownInterface **iface );
    unsigned long addRef();
    unsigned long release();

    QString name() const { return "Qt Script"; }
    QString description() const { return "Qt Script IDE Functionality"; }
    QString version() const { return "0.1"; }
    QString author() const { return "Trolltech AS"; }

    static QuickDebuggerFrontend *debuggerInterface() { return debugger; }

private:
    QuickProgramInterfaceImpl *progIface;
    QuickProjectSettingsInterfaceImpl *projIface;
    QuickEditorInterfaceImpl *editorIface;
    QuickPreferenceInterfaceImpl *prefIface;
    QuickLanguageInterfaceImpl *langIface;
    QuickInterpreterInterfaceImpl *interpIface;
    QuickClassBrowserInterfaceImpl *cbIface;
    static QuickDebuggerFrontend *debugger;

};

#endif
