/****************************************************************************
** $Id: qsobjectfactory.h  beta2   edited Jan 7 15:26 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QSOBJECTFACTORY_H
#define QSOBJECTFACTORY_H

#include <qvariant.h>
#include <qsaglobal.h>
#include <qstringlist.h>

class QObject;

class QSA_EXPORT QSArgument
{
public:
    enum Type { Invalid, Variant, QObjectPtr, VoidPointer };

    QSArgument();
    QSArgument( const QVariant &v );
    QSArgument( QObject *o );
    QSArgument( void *p );

    QVariant variant() const;
    QObject *qobject() const;
    void *ptr() const;
    Type type() const;
    QString typeName() const;

private:
    QVariant var;
    QObject *qobj;
    void *pt;
    Type typ;

};

class QSInterpreter;

class QSA_EXPORT QSObjectFactory
{
public:
    QSObjectFactory( QSInterpreter *i = 0 );

    virtual QObject *create( const QString &className,
			     const QValueList<QSArgument> &arguments,
			     QObject *context ) = 0;
    virtual QStringList classes() const = 0;

    void throwError( const QString &message );

private:
    QSInterpreter *ip;
};

#endif
